Package org.eclipse.graphiti.util

# Class ColorUtil

java.lang.Object
org.eclipse.graphiti.util.ColorUtil

public class ColorUtil extends Object
Utility for working with Colors.

## Constructor Summary

Constructors
Constructor
Description
`ColorUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getBlueFromHex(String hexRGBString)`
Gets the corresponding int representation from hexedecimal RGB string for color blue.
`static int`
`getGreenFromHex(String hexRGBString)`
Gets the corresponding int representation from hexedecimal RGB string for color green.
`static int`
`getRedFromHex(String hexRGBString)`
Gets the corresponding int representation from hexedecimal RGB string for color red.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorUtil

public ColorUtil()

## Method Details

### getBlueFromHex

public static int getBlueFromHex(String hexRGBString)
Gets the corresponding int representation from hexedecimal RGB string for color blue.

Parameters:
  `hexRGBString` -
Returns:
  corresponding int value for blue

### getRedFromHex

public static int getRedFromHex(String hexRGBString)
Gets the corresponding int representation from hexedecimal RGB string for color red.

Parameters:
  `hexRGBString` -
Returns:
  corresponding int value for red

### getGreenFromHex

public static int getGreenFromHex(String hexRGBString)
Gets the corresponding int representation from hexedecimal RGB string for color green.

Parameters:
  `hexRGBString` -
Returns:
  corresponding int value for green